import { h, Component, Host, State } from "@stencil/core";
import { withHooks } from "@saasquatch/stencil-hooks";
import { useRouter } from "./useRouter";
/**
 * @uiName Router
 * @validParents ["sqm-portal-container","div","sqm-divided-layout","sqm-brand","template","sqm-hero","sqm-tab", "sqb-program-section", "sqb-conditional-section"]
 * @validChildren ["sqm-route"]
 * @slots [{"name":"","title":"Routes"}]
 */
export class SqmRouter {
  constructor() {
    this.ignored = true;
    withHooks(this);
  }
  disconnectedCallback() { }
  render() {
    const { callbacks } = useRouter();
    return (h(Host, null,
      h("div", { ref: callbacks.setSlot, style: { display: "none" } },
        h("slot", null)),
      h("div", { style: { display: "contents" }, ref: callbacks.setContainer })));
  }
  static get is() { return "sqm-router"; }
  static get originalStyleUrls() { return {
    "$": ["sqm-router.css"]
  }; }
  static get styleUrls() { return {
    "$": ["sqm-router.css"]
  }; }
  static get states() { return {
    "ignored": {}
  }; }
}
